<?php

namespace CsvUpload\Config;

# A centralized configuration.

const
  # Change to decouple login from another auth system.
  # For syntax see http://www.php.net/session_name
  SESSION_NAME = 'PHPSESSID',

  # Data Source Name, contains the information required to connect to the
  # database. See http://www.php.net/pdo.construct
  DB_DSN = 'mysql:dbname=csvupload;host=localhost',

  # The user name for the DSN string
  DB_USERNAME = 'http',

  # The password for the DSN string.
  DB_PASSWORD = 'Edinburgh',

  # This is where uploaded documents are stored before processing.
  # This path is relative to the server temporary directory.
  # If you are on Windows that will be to C:\TEMP or C:\WINDOWS\Temp or C:\TEMP
  # in older versions. On Linux it is usually /tmp. This function will tell you:
  # http://www.php.net/sys_get_temp_dir
  # See also http://www.php.net/upload_tmp_dir
  # Any nested structure will be created for you, provided that
  # this script has permission to do that.
  SPOOL_DIR = 'csvupload',

  # Pattern of file names for processing lock files. These files are
  # saved into SPOOL_DIR.
  LOCK_FILE = '%d.lock',

  # Pattern of file names storing progress information. These files are
  # saved into SPOOL_DIR.
  PROGRESS_FILE = '%d.json';

# vim: set filetype=php expandtab tabstop=2 shiftwidth=2 autoindent smartindent:

?>
