<?php

# A web service to authenticate.
# Input: action=login|logout for login: email=user@domain & password=string
# Output: true if succeeded, false otherwise

require '../controller/auth.php';
require '../controller/upload.php';
require '../lib/service.php';

$data = filter_input_array(INPUT_GET, array(
  'action'   => FILTER_DEFAULT,
  'email'    => FILTER_SANITIZE_EMAIL,
  'password' => FILTER_DEFAULT
));

if (! $data) {
  json_exit();
}

switch ($data['action']) {
  case 'login':
    if (CsvUpload\Auth\logged_in()) {
      json_exit(CsvUpload\Auth\user_email() == $data['email']);
    }
    # Email cannot be empty, password cannot be missing or invalid.
    if ($data['email'] && $data['password'] !== NULL
        && $data['password'] !== FALSE) {
      unset($data['action']);
      json_exit(CsvUpload\Auth\login($data));
    }
  break;

  case 'logout':
    if (CsvUpload\Auth\logged_in()) {
      json_exit(CsvUpload\Auth\logout());
    }
    json_exit(TRUE);
  break;
}

json_exit();

# vim: set filetype=php expandtab tabstop=2 shiftwidth=2 autoindent smartindent:
?>
