<?php

# A web service to schedule processing of files uploaded by a user.
# Requires authentication through the auth.php web service.
# Returns immediately.
# Input: (none).
# Output: false if you are not logged in. true otherwise, even if there is
# already a processing in progress. That it scheduling the same processing
# more than one time has no effect.

require '../controller/auth.php';
require '../lib/service.php';

# Check authentication!
if (! \CsvUpload\Auth\logged_in()) {
  json_exit();
}

# Fire a background PHP process. Output should be redirected, otherwise this
# script would wait a long time for the process to terminate.
$cookie = escapeshellarg($_COOKIE[\CsvUpload\Config\SESSION_NAME]);
exec("php process.php $cookie >/dev/null &");
# For debugging:
#exec("php process.php $cookie >/tmp/process.log 2>&1 &");

# We always succeed. See note above about Output.
json_exit(TRUE);

# vim: set filetype=php expandtab tabstop=2 shiftwidth=2 autoindent smartindent:
?>
