<?php

# A web service to get the state of the current user file processing, if any.
# Requires authentication through the auth.php web service.
# Input: (none).
# Output: false if you are not logged in. A JSON object: keys are original
# file names, values. -1 if there is no file processing currently.

require '../controller/upload.php';
require '../lib/service.php';

# Check authentication!
if (! \CsvUpload\Auth\logged_in()) {
  json_exit();
}

$progress_file = \CsvUpload\upload\progress_file();
if (($state = @file_get_contents($progress_file)) === FALSE) {
  json_export(-1);
}
# Recognize whether process.php has already rounded processing off or not yet.
# TRUE means "convert a JSON object into a PHP associative array".
$decoded_state = json_decode($state,TRUE);
if (! in_array('todo', $decoded_state)
    && !in_array('processing', $decoded_state)) {
  unlink($progress_file);
}

# This string is already in JSON format.
echo $state;

# vim: set filetype=php expandtab tabstop=2 shiftwidth=2 autoindent smartindent:
?>
